Subject: Re: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Sean Whitton <[email-masked]>
Date: Tue, 07 May 2024 09:47:30 +0100

Hello,

On Mon 06 May 2024 at 08:55pm +03, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Date: Mon, 06 May 2024 17:51:48 +0100
>>
>> On Mon 06 May 2024 at 05:46pm +01, Sean Whitton wrote:
>> >
>> > In bash on Linux [...]
>>
>> I specifically called out Linux because while GNU readline has a
>> unix-word-rubout command, C-w in the Linux tty is actually implemented
>> in the Linux-specific tty layer, below readline.
>
> Evidently, the above is inaccurate, because I see the same behavior in
> Bash on MS-Windows.

I believe that this is why readline has the unix-word-rubout command, to
ensure that terminal emulators work the same as the tty.  Anyway, this
is just implementation and not relevant to Jim's patch.

-- 
Sean Whitton